%define	name	glimmer
%define	version	1.0.1
%define	release	1
%define	prefix	/usr

Summary:	Extensible Code Editor
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Applications/Editors
URL:		http://glimmer.sourceforge.net/
Vendor:		Chris Phelps <chicane@reninet.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Obsoletes:	CodeCommander, latte

%description
Glimmer is the code editor formerly know as CodeCommander.

It is a full featured code editor with many advanced features,
including full scripting integration with either Python or Guile. 

%prep
%setup -q

%build
export CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make prefix=${RPM_BUILD_ROOT}%{prefix} install-strip

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/glimmer
%{prefix}/share/glimmer
%{prefix}/share/gnome/apps/Development/glimmer.desktop
%{prefix}/share/gnome/help/glimmer
%{prefix}/share/pixmaps/glimmer-icon.png
%{prefix}/share/pixmaps/glimmer-title.png
%{prefix}/share/locale/*/LC_MESSAGES/glimmer.mo

%changelog
* Mon Feb  5 2001 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-1.0.1-1]
- Find/Replace implemented for multiple files.
- Implemented a column delete function for multiple lines.
- Fixed bug in reselection after multi-line indentation changes.
- Small bugfixes.

* Fri Nov 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-1.0-1]
- Added time check on file change to see if a file has been
  modified on disk (useful for CVS, etc)
- Added a pseudo terminal that doesn't close automatically
  when it's execution process is done.
- Fixed some window sizing problems.
- Language definitions modified to use said terminal when useful.
- Ada, Tcl/Tk, DTML and Object Caml language definitions.
- Swedish and Japanese language translations.


* Sat Sep 16 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.19-1]
- Added Line Number toolbar
- Fixed bug with Tab and Space key presses when there is a
  selection that does not cross a line boundary.
- Added proper default preference handling for View and General
- Fixed but in GtkExText when line length is 1 and char value < 13

* Fri Sep 15 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.18-1]
- Removed Guile scripting support. I have been contemplating this
  for a long time, and today I finally decided to do something about it.
- Added option for "Show blinking cursor". Note: This will be off
  when you start glimmer the first time if you already have a config
  file. Has something to do with a problem in gnome-config.
- Added option for "Auto-save session when files change?"

* Thu Sep 14 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.17-1]
- Moved around some menu items in the insert menu to allow more
  items to be added to the menu via Python/Guile. 
- Added SQL.lang. 
- Fixed another problem with the highlight style code. 

* Tue Sep 12 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.16-1]
- Fixed font style persistance (ie. it wasn't being persistant :-)
- Option for selection style
- Improved some code in GtkExText. Possible minor speed increases.

* Wed Sep  6 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.15-1]
- Complete re-code of the scripting event system.
- Fixed bug in GtkExText scroll-with-selection code.
- Small bugfixes.

* Tue Sep  5 2000 Ryan Weaver <ryanw@infohwy.com>
  [glimmer-0.9.14-1]
- Display line numbers. 
- Display pixmaps in the GtkExText gutter. 
- Bookmark support (add/remove/search forward/search backward) 
- Fix replace bug (call gtk_extext_thaw() before displaying dialogs) 
- Remove 2 more un-needed GtkExText exposes. 
- Option to show full path in notebook tabs. 
- Option to close all open files before opening a new session. 
- Option to follow tab-stops, or have tabs be a constant width. 
- Added Re-Highlight button to Highlight toolbar. 

